#include "macs.inc"
camera { location <-5e2,5e2,5e2> direction z*2.5 look_at y*50 }

#local Frame=floor(clock*24+.5);
#local Clock=Frame/24;

plane { y,0 pigment { checker scale 100 translate -z*100*clock } }

light_source { <-1e4,2e4,1e4> rgb 1 }

#local Chrome=texture { pigment { rgb 1 } finish { ambient 0 diffuse 0 reflection 1 } }

cylinder { -z,z,1 scale <50,30,100> translate y*75 texture { Chrome } }
sphere { -z,1 scale <50,30,100> translate y*75 texture { Chrome } }
sphere {  z,1 scale <50,30,100> translate y*75 texture { Chrome } }

#local iI=0; #while (iI<4)
#switch (iI)
#case(0)
  #local pH=<- 50,75,  90>;
  #local pA=Transition(<-120, 5,  40>,<-120,5,140>,y*25,Clock);
#break
#case(1)
  #local pH=<  50,75,  90>;
  #local pA=< 120, 5, 140-Clock*100>;
#break
#case(2)
  #local pH=<- 50,75,- 90>;
  #local pA=<-120, 5,- 40-Clock*100>;
#break
#case(3)
  #local pH=<  50,75,- 90>;
  #local pA=Transition(< 120, 5,-140>,< 120,5,-40>,y*25,Clock);
#break
#end

#if (Clock>.999)
#switch (iI)
#case(0)
  #local pH=<- 50,75,  90>;
  #local pA=<-120,5,140-(Clock-1)*100>;
#break
#case(1)
  #local pH=<  50,75,  90>;
  #local pA=Transition(< 120, 5, 40>,<120,5,140>,y*25,Clock-1);
#break
#case(2)
  #local pH=<- 50,75,- 90>;
  #local pA=Transition(<-120, 5,-140>,<-120,5,-40>,y*25,Clock-1);
#break
#case(3)
  #local pH=<  50,75,- 90>;
  #local pA=< 120,5,-40-(Clock-1)*100>;
#break
#end
#end

#local pK=FindKnee(pH,pA,60,60,y);

cylinder { pH,pK,5 texture { Chrome } }
cylinder { pA,pK,5 texture { Chrome } }
sphere { pH,6 texture { Chrome } }
sphere { pK,6 texture { Chrome } }
sphere { pA,5 texture { Chrome } }

#local iI=iI+1; #end


sky_sphere { pigment { granite color_map { [.5 rgb <.2,.6,1>][.9 rgb .9] } } }
